#!/usr/bin/env node
"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var svg2ts_1 = require("./svg2ts");
var banner_1 = require("./utils/banner");
var cmd_1 = require("./utils/cmd");
var packageJson = require('../package.json');
function main() {
    var args = process.argv.slice(2);
    var commandLineToolsOptions = {
        aliases: {
            output: 'o',
            input: 'i',
            blueprint: 'b',
            module: 'm'
        },
        help: {
            input: 'svg source dir|./svg',
            output: 'ts output dir|./svg-ts-out',
            blueprint: "blueprint to use 'typescript'[default] 'angular' |typescript",
            module: 'Module name for angular blueprint |svg-to-ts'
        },
        // prettier-ignore
        banner: banner_1.banner,
        version: packageJson.version
    };
    var cmd = new cmd_1.CommandLineTools('svg2ts', args, commandLineToolsOptions);
    if (!cmd.args.input || !cmd.args.output) {
        return cmd.help();
    }
    else {
        cmd.args.blueprint = cmd.args.blueprint || 'typescript';
        cmd.args.module = cmd.args.module || 'svg-to-ts';
        svg2ts_1.svg2ts(cmd.args);
    }
}
main();
