"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var fs = require("fs");
var path = require("path");
var banner_1 = require("./utils/banner");
var core_1 = require("./utils/core");
var reflection_1 = require("./utils/reflection");
var svg_1 = require("./utils/svg");
function generateDotFile(options) {
    var filePath = "" + options.output + path.sep + options.module + path.sep + ".svg2ts";
    fs.writeFileSync(filePath, '/* NOT REMOVE THIS FILE */', 'utf-8');
}
function svg2ts(options) {
    var input = options.input, output = options.output, blueprint = options.blueprint;
    banner_1.banner.forEach(function (_) { return console.log(_); });
    if (!fs.existsSync(input)) {
        console.log("Invalid input dir: " + input);
    }
    else {
        console.log('[svg2ts]\x1b[35m Converting svg to TypesScript\x1b[0m');
        var _a = require("./blueprints/" + blueprint), saveFile = _a.saveFile, generateIndexFile = _a.generateIndexFile;
        var files = core_1.walkSync(input).filter(svg_1.filterSvg);
        var svgFiles = files
            .map(core_1.loadSvgFile(options))
            .filter(svg_1.filterSvgContent)
            .filter(svg_1.filterKnownDimensions);
        var tsMetadata = svgFiles.map(reflection_1.getSVG2TSOutputFile);
        tsMetadata.forEach(saveFile(options, blueprint));
        generateIndexFile(options, tsMetadata);
        generateDotFile(options);
        console.log("[svg2ts]\u001B[35m Processed \u001B[0m" + svgFiles.length + "\u001B[35m svg's into: \u001B[0m" + output + "\u001B[0m");
    }
}
exports.svg2ts = svg2ts;
