"use strict";
var __assign = (this && this.__assign) || Object.assign || function(t) {
    for (var s, i = 1, n = arguments.length; i < n; i++) {
        s = arguments[i];
        for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
            t[p] = s[p];
    }
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("./core");
var regexp_1 = require("./regexp");
var svg_1 = require("./svg");
function getContextDefinition(content) {
    var hasDynamicData = content.match(regexp_1.propertyValueKeyRegExp);
    return hasDynamicData
        ? hasDynamicData.reduce(contextDefinitionReducer, {
            uuid: 'number'
        })
        : {};
}
exports.getContextDefinition = getContextDefinition;
function getContextDefaults(file) {
    var hasDynamicData = file.match(regexp_1.propertyValueKeyRegExp);
    return hasDynamicData ? hasDynamicData.reduce(contextDefaultsReducer, {}) : {};
}
exports.getContextDefaults = getContextDefaults;
function getSVG2TSOutputFile(fileObj) {
    var _a = svg_1.getMetadata(fileObj), width = _a.width, height = _a.height, viewBox = _a.viewBox;
    var contextInterfaceSvg = getContextDefinition(fileObj.svg);
    var contextInterfaceCss = getContextDefinition(fileObj.css);
    var contextDefaultsSvg = getContextDefaults(fileObj.svg);
    var contextDefaultsCss = getContextDefaults(fileObj.css);
    var contextInterface = JSON.stringify(Object.assign({}, contextInterfaceSvg, contextInterfaceCss))
        .replace(regexp_1.doubleQuoteRegExp, '')
        .replace(regexp_1.singleQuoteRegExp, ';');
    var contextDefaults = Object.assign({}, contextDefaultsSvg, contextDefaultsCss);
    var path = fileObj.path, name = fileObj.name;
    var svg = fileObj.svg, css = fileObj.css;
    return __assign({}, (css ? { css: svg_1.removeDefaultTemplateValues(css) } : {}), (JSON.stringify(contextDefaultsSvg) !== '{}' ? { contextDefaults: contextDefaults } : {}), (contextInterface !== '{}' ? { contextInterface: contextInterface } : {}), (height ? { height: height } : {}), { name: name,
        path: path, svg: svg_1.removeDefaultTemplateValues(svg).replace(regexp_1.singleQuoteRegExp, "\\'") }, (viewBox && viewBox.width && viewBox.height ? { viewBox: viewBox } : {}), (width ? { width: width } : {}));
}
exports.getSVG2TSOutputFile = getSVG2TSOutputFile;
function contextDefaultsReducer(acc, match) {
    var value = match.replace(regexp_1.propertyValueKeyRegExp, '$1');
    core_1.dotObject("dot." + match.replace(regexp_1.propertyValueKeyRegExp, '$2'), acc, isNaN(value) ? value : parseInt(value, 10));
    return acc;
}
function contextDefinitionReducer(acc, match) {
    var value = match.replace(regexp_1.propertyValueKeyRegExp, '$1');
    core_1.dotObject("dot." + match.replace(regexp_1.propertyValueKeyRegExp, '$2'), acc, isNaN(value) ? 'string' : 'number');
    return acc;
}
