"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function camelCase(str) {
    return str
        .replace(/[\s|_|-](.)/g, function ($1) {
        return $1.toUpperCase();
    })
        .replace(/[\s|_|-]/g, '')
        .replace(/^(.)/, function ($1) {
        return $1.toLowerCase();
    });
}
exports.camelCase = camelCase;
function kebabCase(str) {
    return str
        .replace(/([a-z])([A-Z])/g, '$1-$2')
        .replace(/([^a-zA-Z])/g, '-')
        .toLowerCase();
}
exports.kebabCase = kebabCase;
function capitalize(str) {
    return str[0].toUpperCase() + str.slice(1);
}
exports.capitalize = capitalize;
function pascalCase(str) {
    return capitalize(camelCase(str));
}
exports.pascalCase = pascalCase;
